Skip to main content
`Ctrl`+`K`

# SNESNewtonTRSetQNType

Specify to use a quasi-Newton model.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRSetQNType(SNES snes, SNESNewtonTRQNType use)

## Input Parameters

- snes - the nonlinear solver object

- use - the type of approximations to be used

## Notes

Options for the approximations can be set with the `snes_tr_qn_` and `snes_tr_qn_pre_` prefixes.

## See Also

`SNESNEWTONTR`, `SNESNewtonTRQNType`, `MATLMVM`

## Level

intermediate

## Location

src/snes/impls/tr/tr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages